Ask Your Question
0

[rospack] Error: stack/package rqt_gui not found

asked 2012-12-12 12:01:42 -0500

robotnik23 gravatar image

Hello,

I am working on part 6 "Understanding ROS Topics" of the tutorial and I am having a problem with section 1.2.1. I am running Ubuntu 12.04 with Fuerte and when I try to run

rosrun rqt_gui rqt_gui

It gives me an error saying rqt_gui was not found. I am not sure why I am missing this package or how to fix it. I tried reinstalling python-catkin-pkg, but that did not fix the issue.

Does anyone have any ideas how to fix this so I can continue with the tutorial?

Thank you

edit retag flag offensive close merge delete

Comments

It seems like I am in fact missing rqt_gui, but when I attempt to update apt-get and then install ros_fuerte_rqt I get the error unable to locate package ros_fuerte_rqt

robotnik23 gravatar image robotnik23  ( 2012-12-15 07:31:58 -0500 )edit

Nevermind I figured it out. Dashes instead of underscores.

robotnik23 gravatar image robotnik23  ( 2012-12-15 07:51:29 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
2

answered 2012-12-12 22:16:12 -0500

KruseT gravatar image

updated 2012-12-31 00:01:27 -0500

You need to have rqt_gui installed. You can mke sure it is installed by running:

$ sudo apt-get install ros_fuerte_rqt

In ROS Groovy, replace

$ rosrun rqt_gui rqt_gui

with

$ rqt
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-12-12 12:01:42 -0500

Seen: 2,055 times

Last updated: Dec 31 '12